package com.ruoyi.system.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.entity.BaseEntity;

/**
 * 学生对象 sys_stu
 * 
 * @author ruoyi
 * @date 2021-01-22
 */
public class SysStu extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 学生姓名 */
    @Excel(name = "学生姓名")
    private String name;

    /** 电话 */
    @Excel(name = "电话")
    private Long tel;

    /** 电子邮件 */
    @Excel(name = "电子邮件")
    private String email;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setTel(Long tel) 
    {
        this.tel = tel;
    }

    public Long getTel() 
    {
        return tel;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("tel", getTel())
            .append("email", getEmail())
            .append("createTime", getCreateTime())
            .toString();
    }
}
